For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTAccept amendment
      • DELCancel amendment
      • POSTConfirm amendment
      • GETContract amendment PDF
      • POSTCreate amendment
      • GETGet amendment by ID
      • GETGet amendment validation settings
      • GETGet amendments by contract
      • GETRetrieve Effective Date Limitations
      • POSTSign a contract amendment (employee)
      • PATCHUpdate amendment
      • POSTValidate amendment data points
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsEor Amendments

Get amendment validation settings

GET
/eor/contracts/:contract_id/amendments/validation/settings
GET
/rest/v2/eor/contracts/:contract_id/amendments/validation/settings
$curl -G https://api.letsdeel.com/rest/v2/eor/contracts/3w6pd6r/amendments/validation/settings \
> -H "Authorization: Bearer <token>" \
> -d employment_state=CA
1{
2 "data": [
3 {
4 "rules": [
5 {
6 "max": 100,
7 "min": 1,
8 "max_date": "2025-12-31",
9 "min_date": "2020-01-01",
10 "nullable": true,
11 "requires": {
12 "employment_type": "FULL_TIME"
13 },
14 "is_editable": false,
15 "possible_options": [
16 "FULL_TIME",
17 "PART_TIME"
18 ],
19 "additional_details": {
20 "cap": 6,
21 "note": "Maximum probation cannot exceed 6 months.",
22 "rule": "ONE_THIRD_OF_CONTRACT_DURATION",
23 "time_unit": "MONTH"
24 },
25 "tenure_based_rules": [
26 {
27 "notice_value": 30,
28 "max_employment_duration": 24,
29 "min_employment_duration": 12,
30 "employment_duration_type": "MONTH"
31 }
32 ],
33 "external_validation": true
34 }
35 ],
36 "data_point": "SALARY"
37 }
38 ]
39}

Returns the validation settings for all available amendment data points on an EOR contract, optionally scoped to a specific employment state. Use these settings to determine which fields are editable and what constraints apply before constructing an amendment request. Token scopes: contracts:read

Was this page helpful?
Previous

Get amendments by contract

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequiredformat: "alphanumeric"
The unique identifier of EOR worker contract.

Query parameters

employment_statestringOptional
The employment state of the EOR worker contract

Response

Amendment settings response with additional_details included as optional.

datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication